Flow Control API (1.0.0)

Download OpenAPI specification:

IDX Flow Control

This API provides information about your flow control statuses, details and summaries of breaches as well as for other participants. It monitors and manages message queue thresholds and participant flow‑control states.

Throttling and quotas

To control traffic, we implement throttling on all API Endpoint requests. Also, some endpoints have a specific quota of requests. If a participantId request exceeds the throttling limit a HTTP 429 response returns. For more details, see the examples under each request.

Endpoint Limits
PATCH /businessFunctions/{businessFunctionId} 2 requests per businessFunctionId per participantId per day. A Business Function's message delivery to an outbound queue can only be switched on and off once per day.
All other endpoints 288 requests per participantId per day

Business Function Flow Control breaches

Operations that return or update flow control breach information for the initiating Participant across business functions.

Get a list of business functions that have flow control breaches for your Participant ID.

Get a list of business functions that have flow control breaches for your Participant ID

Authorizations:
AEMO-OAuth2
query Parameters
expand
boolean
Default: false
header Parameters
x-initiatingParticipantId
required
string [ 1 .. 10 ] characters ^[A-Z0-9]+$
Example: NEMMCO
x-market
required
string
Default: NEM
Enum: "AATELEC" "ACTELEC" "NEM" "NSWELEC" "NTELEC" "QLDELEC" "SAELEC" "TASELEC" "VICELEC" "WAELEC" "AATGAS" "ACTGAS" "NSWGAS" "NTGAS" "QLDGAS" "SAGAS" "TASGAS" "VICGAS" "WAGAS" "NSWACTGAS"
Accept
string
Example: application/json
x-ss-id
string
Example: 8F4B617F09BC0B2D13B790ABCD3A3D22C238736DF5D42E3F44C85A48FE07E42A

The ss-id is your Session Id in either long or short format. This is usually found in the ss-id cookie.

Responses

Response samples

Content type
application/json
Example
{
  • "data": {
    }
}

Get flow control information for a single Business Function for your Participant ID

Get flow control information for a single Business Function for your Participant ID

Authorizations:
AEMO-OAuth2
path Parameters
businessFunctionId
required
string
header Parameters
x-initiatingParticipantId
required
string [ 1 .. 10 ] characters ^[A-Z0-9]+$
Example: NEMMCO
x-market
required
string
Default: NEM
Enum: "AATELEC" "ACTELEC" "NEM" "NSWELEC" "NTELEC" "QLDELEC" "SAELEC" "TASELEC" "VICELEC" "WAELEC" "AATGAS" "ACTGAS" "NSWGAS" "NTGAS" "QLDGAS" "SAGAS" "TASGAS" "VICGAS" "WAGAS" "NSWACTGAS"
Accept
string
Example: application/json
x-ss-id
string
Example: 8F4B617F09BC0B2D13B790ABCD3A3D22C238736DF5D42E3F44C85A48FE07E42A

The ss-id is your Session Id in either long or short format. This is usually found in the ss-id cookie.

Responses

Response samples

Content type
application/json
Example
{
  • "data": {
    }
}

Toggle outbound flow of messages to your queue for a given Business Function and your Participant ID.

Toggle outbound flow of messages to your queue for a given businessFunctionId

Authorizations:
AEMO-OAuth2
path Parameters
businessFunctionId
required
string
header Parameters
x-initiatingParticipantId
required
string [ 1 .. 10 ] characters ^[A-Z0-9]+$
Example: NEMMCO
x-market
required
string
Default: NEM
Enum: "AATELEC" "ACTELEC" "NEM" "NSWELEC" "NTELEC" "QLDELEC" "SAELEC" "TASELEC" "VICELEC" "WAELEC" "AATGAS" "ACTGAS" "NSWGAS" "NTGAS" "QLDGAS" "SAGAS" "TASGAS" "VICGAS" "WAGAS" "NSWACTGAS"
x-ss-id
string
Example: 8F4B617F09BC0B2D13B790ABCD3A3D22C238736DF5D42E3F44C85A48FE07E42A

The ss-id is your Session Id in either long or short format. This is usually found in the ss-id cookie.

Content-Encoding
string
Value: "gzip"
Example: gzip
Request Body schema: application/json
required
stopQueue
required
boolean

Responses

Request samples

Content type
application/json
{
  • "stopQueue": true
}

Response samples

Content type
application/json
Example
{
  • "data": {
    }
}

Other Participant Status breaches

Operations that list and inspect flow control breaches for other market participants.

Get a list of all participants experiencing flow control breaches

Get a list of all participants experiencing flow control breaches

Authorizations:
AEMO-OAuth2
query Parameters
businessFunctionId
string
Example: businessFunctionId=pqd

A Business Function ID is a unique identifier used to represent a specific Business Function. A Business Function is a logical grouping of related business services or sub-services that acts as an access point for exchanging information and executing transactions within a system or market framework.

header Parameters
x-initiatingParticipantId
required
string [ 1 .. 10 ] characters ^[A-Z0-9]+$
Example: NEMMCO
x-market
required
string
Default: NEM
Enum: "AATELEC" "ACTELEC" "NEM" "NSWELEC" "NTELEC" "QLDELEC" "SAELEC" "TASELEC" "VICELEC" "WAELEC" "AATGAS" "ACTGAS" "NSWGAS" "NTGAS" "QLDGAS" "SAGAS" "TASGAS" "VICGAS" "WAGAS" "NSWACTGAS"
Accept
string
Example: application/json
x-ss-id
string
Example: 8F4B617F09BC0B2D13B790ABCD3A3D22C238736DF5D42E3F44C85A48FE07E42A

The ss-id is your Session Id in either long or short format. This is usually found in the ss-id cookie.

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Get breached flow control details for a single participant

Get breached flow control details for a single participant.

Authorizations:
AEMO-OAuth2
path Parameters
participantId
required
string
header Parameters
x-initiatingParticipantId
required
string [ 1 .. 10 ] characters ^[A-Z0-9]+$
Example: NEMMCO
x-market
required
string
Default: NEM
Enum: "AATELEC" "ACTELEC" "NEM" "NSWELEC" "NTELEC" "QLDELEC" "SAELEC" "TASELEC" "VICELEC" "WAELEC" "AATGAS" "ACTGAS" "NSWGAS" "NTGAS" "QLDGAS" "SAGAS" "TASGAS" "VICGAS" "WAGAS" "NSWACTGAS"
Accept
string
Example: application/json
x-ss-id
string
Example: 8F4B617F09BC0B2D13B790ABCD3A3D22C238736DF5D42E3F44C85A48FE07E42A

The ss-id is your Session Id in either long or short format. This is usually found in the ss-id cookie.

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}